#pragma once

#include "config.h"

#include <saas/protos/rtyserver.pb.h>

#include <util/generic/strbuf.h>
#include <util/generic/vector.h>
#include <util/memory/blob.h>

namespace NRTYServer {
    TBlob WriteDocumentFlatbuffer(const TMessage::TDocument& document, const TPropConfig& config);
    TBlob WriteDocumentFlatbuffer(TVector<std::pair<TStringBuf, TStringBuf>> keyValue);
}
